tidy::parseString
tidy::repairString
tidy
PHP Manual

# tidy::repairFile

# tidy_repair_file

Repair a file and return it as a string

### Description

Object oriented style

string tidy::repairFile ( string `$filename` [, mixed `$config` [, string `$encoding` [, bool `$use_include_path` = false ]]] )

Procedural style

string tidy_repair_file ( string `$filename` [, mixed `$config` [, string `$encoding` [, bool `$use_include_path` = false ]]] )

Repairs the given file and returns it as a string.

### Parameters

`filename`

  The file to be repaired.

`config`

  The config `config` can be passed either as an array or as a string. If a string is passed, it is interpreted as the name of the configuration file, otherwise, it is interpreted as the options themselves.

  Check http://tidy.sourceforge.net/docs/quickref.html for an explanation about each option.

`encoding`

  The `encoding` parameter sets the encoding for input/output documents. The possible values for encoding are: ascii, latin0, latin1, raw, utf8, iso2022, mac, win1252, ibm858, utf16, utf16le, utf16be, big5, and shiftjis.

`use_include_path`

  Search for the file in the include_path.

### Return Values

Returns the repaired contents as a string.

### Examples

Example #1 tidy::repairFile example

`<?php
$file = 'file.html';
$tidy = new tidy();
$repaired = $tidy->repairfile($file);
rename($file, $file . '.bak');
file_put_contents($file, $repaired);
?>`

### Notes

> Note: The optional parameters `config` and `encoding` were added in Tidy 2.0.

### See Also

- tidy::parseFile
- tidy::parseString
- tidy::repairString